Subject: RE: [External] : bug#51819: The Senselessness of Emacs Company Mode

From: Drew Adams <[email-masked]>
Date: Wed, 17 Nov 2021 02:30:44 +0000

> I am very interested in completion of words as I write documents.  

Caveat: I'm not following this thread.  I just
happened upon that sentence.

Wrt your expressed interest, I assume you already
know about `dabbrev'.

You might also be interested in the very old library
`completion.el'.  It's still part of Emacs and still
useful, precisely for what you describe: completing
words you actually use when writing <whatever>.

The "doc" for it is a rambling description in the
file header, but it's simple and understandable.

There's nothing fancy at all, and you might find it
quaint, but it can be quite useful.  You can pretty
much complete everything you type.  It has a
dabbrev-like behavior, but it can also automatically
persist words you've used etc.

I'd say give it a try.  You just might find it useful.
`M-x find-library completion'.